import java.util.Random;

public class WordSet {

    // instance variables
    private Random generator;
    private String[] words;

    // constructor
    public WordSet() {
        this.generator = new Random();
        this.words = new String[] { "red", "yellow", "blue", "green", "orange", "purple" };
    }

    // returns the size of the word set
    public int getSize() {
        return this.words.length;
    }

    // returns a word from the set at random
    public String randomWord() {
        int position = this.generator.nextInt(this.words.length);
        return this.words[position];
    }        

    // prints out all words available in the set
    public void printWords() {
        for (int i = 0; i < this.words.length; i++) {
            System.out.println(this.words[i]);
        }
    }
}
